<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="54dp"
    android:background="@color/white"
    android:paddingHorizontal="16dp">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_back"
        android:layout_width="24dp"
        android:layout_height="24dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/commonui_back_black_ic" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="36dp"
        android:layout_marginHorizontal="12dp"
        android:background="@drawable/profile_search_input_bg"
        android:paddingHorizontal="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/tv_search"
        app:layout_constraintStart_toEndOf="@id/iv_back"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_search_input"
            android:layout_width="18dp"
            android:layout_height="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/profile_search_input_ic" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_search_input"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginHorizontal="8dp"
            android:background="@null"
            android:gravity="start|center_vertical"
            android:hint="@string/profile_search_hint"
            android:imeOptions="actionSearch"
            android:includeFontPadding="false"
            android:inputType="text"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textColorHint="@color/color_FF86909C"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_clear_input"
            app:layout_constraintStart_toEndOf="@id/iv_search_input"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_clear_input"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_clear_input_ic"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_search"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:gravity="center"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/common_search"
        android:textColor="@drawable/profile_search_text_sel"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>